curl --request GET \
--url https://api.hubapi.com/automation/2026-09-beta/flows/email-campaigns \
--header 'Authorization: Bearer <token>'{
"results": [
{
"emailCampaignId": "<string>",
"emailContentId": "<string>",
"flowId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Retrieve a list of email campaigns associated with automation flows. This endpoint allows you to filter and paginate through email campaigns using various query parameters. It is useful for obtaining detailed information about email campaigns linked to specific flows.
curl --request GET \
--url https://api.hubapi.com/automation/2026-09-beta/flows/email-campaigns \
--header 'Authorization: Bearer <token>'{
"results": [
{
"emailCampaignId": "<string>",
"emailContentId": "<string>",
"flowId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource. Use this for pagination to retrieve the next set of results.
The paging cursor token to retrieve results before a specific point. Useful for reverse pagination.
A list of flow IDs to filter the email campaigns. This allows you to retrieve campaigns associated with specific flows.
The maximum number of results to display per page. Specify this to control the size of each page of results.
Was this page helpful?